it-swarm.com.de

Profil ist kein "iOS App Store" -Profil

Verwendung von Xcode 9.

  1. Arbeiten an der App Store Build Validierung. 
  2. Eine App mit App Store-Profil erstellt.
  3. Erfolgreich archiviert 
  4. Beim Versuch, Build in Organizer zu überprüfen, erhalte ich beim Auswählen des -Profils den folgenden Fehler.

 enter image description here Dies ist dasselbe Profil, das zum Archivieren verwendet wird, und es ist ein App Store-Profil.

2 Abfragen

  1. So identifizieren Sie ein Profil, wenn es sich um einen Ad-hoc- oder App-Store handelt
  2. Warum ist das passiert? Ziemlich sicher, dass dies ein Appstore-Profil ist.
11
Lithu T.V

Hatte gerade das gleiche Problem

Alles, was Sie tun müssen, ist Ihr Provisioning-Profil zu löschen und ein weiteres auf Apple Developer Site zu erstellen.

Anfragen:

  • 1) Die einzige Information, die wir darüber haben, ist das Entwicklungs- oder Vertriebslabel auf dem Profil selbst
  • 2) Ich kann es nicht mit Sicherheit sagen, aber vielleicht erkennt die Xcode 9-Signatur alte Profile nicht mehr so ​​wie früher.
3
Rubens

Wenn alles andere fehlschlägt, versuchen Sie es mit dem Application Loader. Ich setze heute fast nur noch auf den Application Loader. Wie lächerlich fehlerhaft der Xcode-Upload-Prozess ist, Version nach Version.

1
Aaron

Ich denke, Sie sind als Ad-hoc-Option ausgewählt, um die .ipa-Datei abzurufen. Wählen Sie die Option App Store, um die .ipa-Datei abzurufen, und verwenden Sie dann den Application Loader, um die .ipa-Datei zu senden. 

In meinem Fall bekomme ich eine E-Mail wie diese ...

Missing beta entitlement - Your app does not include the beta-reports-active entitlement. If you intend to distribute this build via TestFlight for beta testing, please re-build this app with an App Store Distribution provisioning profile. Do not use ad-hoc profiles.

After you’ve corrected the issues, you can use Xcode or Application Loader to upload a new binary to iTunes Connect.

Regards,
The App Store team

Dann habe ich die Option von Ad Hoc in den App Store geändert ... /. Bildbeschreibung hier eingeben

0
lyankar

In meinem Fall versuche ich immer zu vermeiden, Apple cert zu widerrufen, weil ich es mit anderen Entwicklern meines Unternehmens teile.

Also folge ich dieser Antwort die vorschlägt, Xcode herunterzustufen -> Ich überprüfe Version 9.0.1 und habe leider immer noch die gleiche Fehlermeldung.

Aber ich habe zusätzlich 8.3.3 installiert - es funktioniert korrekt beim Hochladen in den Apple Store.

Update: Ich gehe zurück in Xcode 9.1 direkt aus dem App Store, da ich Probleme mit run ionic cordova build habe.

Im Moment verwende ich zwei Xcode-Versionen: 

  • 9.1 - zum Testen und Erstellen von Builds - direkt in der Anwendung 
  • 8.3.3 - zum Hochladen von Build in iTunnes Connect - und zum Ausführen aus einem anderen Ordner 

Ich hoffe das ist eine vorübergehende Situation.


[Update]

Nach einiger Zeit wurde mir klar, dass mein Bereitstellungsprofil mit XC beginnt, was von Xcode 9+ nicht akzeptiert wird. Nach dem Aktualisieren aller Provisioning-Profile (XC im Namen vermeiden) kann ich endlich Xcode 9+ verwenden.

Vielleicht kann dies auch für diejenigen hilfreich sein, die sich mit diesem Problem auseinandersetzen. 

0
dannydedog